cmake_minimum_required(VERSION 3.30)
project(fennec-metaprogramming)

set(CMAKE_CXX_STANDARD 23)

add_executable(fennec-metaprogramming main.cpp
        float.h
        integer.h)

add_custom_command(
    OUTPUT .metaprogramming
    COMMAND fennec-metaprogramming
    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}/../include/fennec/lang"
    COMMENT "Generating intrinsics"
    VERBATIM
)

add_custom_target(
    metaprogramming
    DEPENDS .metaprogramming
)